﻿html, body {
    height: 100%;
}

body {
    padding-bottom: 75px;
}



.fill {
    min-height: 100%;
    max-height: 100%;
    height: 100%;
}

.fillProductList {
    min-height: calc(100% - 50px);
    max-height: calc(100% - 50px);
    height: calc(100% - 50px);
}

.fillMinusNav {
    min-height: calc(100% - 80px);
    max-height: calc(100% - 80px);
    height: calc(100% - 80px);
}

.fillMinusQueueNav {
    min-height: calc(100% - 100px);
    max-height: calc(100% - 100px);
    height: calc(100% - 100px);
}

.fillMinusTitle {
    min-height: calc(70% - 80px);
    max-height: calc(70% - 80px);
    height: calc(70% - 80px);
}

.fillProductMapping {
    min-height: 45%;
    max-height: 45%;
    height: 45%;
}

.divider-vertical {
    height: 45px;
    margin: 0 9px;
    border-left: 3px solid #F2F2F2;
    border-right: 1px solid #FFF;
}

.videoTitle {
    height: calc(30% - 10px);
    padding-top: 20px;
}

.creativeViewer {
    position: relative;
}

    .creativeViewer .creativeElement {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
    }

.imgViewer {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    border: 0;
}

.queueItemThumbnail {
    vertical-align: middle;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

#productContextMenu {
    position: absolute;
    display: none;
}


.custom-menu {
    display: none;
    z-index: 1000;
    position: absolute;
    overflow: hidden;
    border: 1px solid #CCC;
    white-space: nowrap;
    font-family: sans-serif;
    background: #FFF;
    color: #333;
    border-radius: 5px;
}

    .custom-menu li {
        padding: 8px 12px;
        cursor: pointer;
    }

        .custom-menu li:hover {
            background-color: #DEF;
        }

.mappedLink {
    background-color: orange;
}

.tableHeaderHover:hover {
    background-color: #90caf9;
    cursor: pointer;
}

.fillMinusQueueNavReview {
    min-height: calc(100% - 230px);
    max-height: calc(100% - 230px);
    height: calc(100% - 230px);
}

.form-control-override {
    display: block;
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

.scrollable-menu {
    height: auto;
    max-height: 200px;
    overflow: scroll;
}

.input-required {
    color: red;
    font-weight: bolder;
    font-size: medium;
}

.nopadding {
    padding: 0 !important;
    margin: 0 !important;
}

/*Fixed header layout changes start*/
.table-fixed-header tbody {
    display: block;
    max-height: 600px;
    overflow-y: scroll;
}

    .table-fixed-header thead, .table-fixed-header tbody tr {
        display: inline-table;
        width: 100%;
        table-layout: fixed;
    }

    .table-fixed-header tbody td {
        word-wrap: break-word;
        padding: 8px;
    }

.dont-break-out {
    /* These are technically the same, but use both */
    overflow-wrap: break-word;
    word-wrap: break-word;
    -ms-word-break: break-all;
    /* This is the dangerous one in WebKit, as it breaks things wherever */
    word-break: break-all;
    /* Instead use this non-standard one: */
    word-break: break-word;
    /* Adds a hyphen where the word breaks, if supported (No Blink) */
    -ms-hyphens: auto;
    -moz-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
}


.modal-size {
    width: 1600px;
}

.inner-grid-size {
    width: 1325px;
    margin: 5px;
}

@media (min-width: 415px) {
    .modal-size {
        width: 300px;
    }

    .inner-grid-size {
        width: 200px;
        margin: 2px;
    }
}

 @media (min-width: 768px) {
        .modal-size {
            width: 500px;
        }

        .inner-grid-size {
            width: 200px;
            margin: 2px;
        }
    }

@media (min-width: 991px) {
    .modal-size {
        width: 900px;
    }

    .inner-grid-size {
        width: 875px;
        margin: 5px;
    }
}

@media (min-width: 1500px) {
    .modal-size {
        width: 1500px;
    }

    .inner-grid-size {
        width: 1325px;
        margin: 5px;
    }
}

.modal-scroll-visible {
    overflow: auto !important;
}

.category-parent-list {
    height: 200px;
    overflow-y: scroll;
    border-color: lightgray;
    border-style: double;
    border-radius: 8px;
}

.category-parent-li-hover {
    list-style: none;
    padding: 0px;
}

    .category-parent-li-hover li:hover {
        cursor: pointer;
        background-color: lightgray;
    }

pre-scrollable-x{
    overflow-x:scroll;
}
